# Albatross
Back up what you care about in your Minecraft worlds.

Albatross backs up player files and region files within a certain configurable radius. It can also send Discord
webhooks. Backups are compressed and stored as `tar.gz` archives.

Backups can also be transferred to a remote server using SFTP.

## Help
```
albatross 0.4.0
Backup your Minecraft Server!

USAGE:
    albatross --config-path <config-path> <SUBCOMMAND>

FLAGS:
    -h, --help       Prints help information
    -V, --version    Prints version information

OPTIONS:
    -c, --config-path <config-path>    Path to the Albatross config [env: ALBATROSS_CONFIG=]

SUBCOMMANDS:
    backup     Backup a server
    export     Export a backup as a single player world
    help       Prints this message or the help of the given subcommand(s)
    restore    Restore certain chunks from a backup

Process finished with exit code 1

```

## Examples
Running a backup:

`albatorss -c test.toml backup`

Exporting a backup to a single player world:

`albatorss -c test.toml export backups/04-11-20_01.51.27_backup.tar.gz sp.tar.gz`

Restoring a single chunk (from -2,-2 to 2,2):

`albatorss -c test.toml restore world backups/04-11-20_01.51.27_backup.tar.gz sp.tar.gz` (0,0)

Restoring a range of chunks (from -2,-2 to 2,2):

`albatorss -c test.toml restore world backups/04-11-20_01.51.27_backup.tar.gz sp.tar.gz` (-2,-2) -u (2,2)

## Config
```toml
# Local Backup Config
[backup]
# Minecraft sever directory
minecraft_dir = "/home/mc/server"
# Directory to place backups
output_dir = "/home/mc/backups"
# Number of backups to keep
backups_to_keep = 10
# Optional Discord webhook
discord_webhook = "https://discordapp.com/api/webhooks/"

# Optional remote backup config
[remote]
# SFTP server host:port
sftp_server_addr = "localhost:22"
# Remote directory
remote_dir = "/home/backup/"
# Remote user
username = "user"
# Password Auth
password = "cooluser123"
# Key Auth
#public_key = /home/user/.ssh/id_rsa.pub"
#private_key = /home/user/.ssh/id_rsa"
# Backups to keep on the remote host
backups_to_keep = 3

# World config options
[[world_config]]
# World name
world_name = "world"
# World save radius (in blocks)
save_radius = 8000
```